Bug 794542 - Review Request: dpsearch - DataparkSearch Engine
Summary: Review Request: dpsearch - DataparkSearch Engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-17 03:49 UTC by Rick Elrod
Modified: 2012-03-10 17:32 UTC (History)
3 users (show)

Fixed In Version: dpsearch-4.54-0.2.20120221snap.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-10 17:32:14 UTC
Type: ---
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rick Elrod 2012-02-17 03:49:24 UTC
Spec URL: http://codeblock.fedorapeople.org/dpsearch/dpsearch.spec
SRPM URL: http://codeblock.fedorapeople.org/dpsearch/dpsearch-4.54-1.fc18.src.rpm
Description: DataparkSearch Engine. This is a snapshot version, which fixes some issues with SSL in their stable release.

Comment 1 Rick Elrod 2012-02-17 03:53:18 UTC
Kevin offered to review.

Comment 2 Kevin Fenzi 2012-02-17 03:56:09 UTC
I'll look at reviewing... tomorrow or this weekend. ;) 

Other comments of course welcome before then.

Comment 3 Kevin Fenzi 2012-02-17 18:15:07 UTC
This is a snapshot? 
Can you update it based on: 
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

ie, change versioning and include a comment with how the checkout was made (or include a script to generate it). 

You may also want to try building with 'make %{?_smp_mflags}' and using '%configure' macro instead of ./configure. ;)

Comment 4 Rick Elrod 2012-02-17 18:28:40 UTC
I actually already fixed most of those, just forgot to upload the new srpm (the specfile was right).

Done: http://codeblock.fedorapeople.org/dpsearch/dpsearch-4.54.20120215snap-1.fc18.src.rpm

I looked at using %configure and it was a bit more difficult - they tend to clutter some directories that shouldn't be cluttered, by default.

I can look into managing that and using %configure and overriding the 2-3 flags to fix those locations, if it's a review-breaker, though.

Comment 5 Kevin Fenzi 2012-02-17 19:57:45 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
See below - License (GPLv2+)
See below - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
6409c57285b013abdd33118ef02cc824  dpsearch-4.54-2012-02-15.tar.bz2
6409c57285b013abdd33118ef02cc824  dpsearch-4.54-2012-02-15.tar.bz2.orig
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
See below - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. I'd suggest a different naming/versioning here: 

Version: 4.54
Release: 0.1.20120215snap

That makes it more clear it's a prerelease and upgrades will work right to the 
final 4.54-1 version. As it is now, the 4.54-1 "real" version would be older than 
the one you have: 

$ rpmdev-vercmp 4.54.20120215snap 4.54-1
4.54.20120215snap > 4.54-1

2. You might use the full url since upstream seems to make the snapshots available: 

Source0: http://dataparksearch.googlecode.com/files/dpsearch-4.54-2012-02-15.tar.bz2

3. License should be: GPLv2+ since it's 'or any later version' additionally, there
are some examples that are LGPLv2, but they don't appear to be shipped so, GPLv2+ 
looks ok. 

4. Problem: They are linking with openssl for ssl support, however thats not gpl 
compatible. We are going to have to disable that for now and ask them to either: 
a) add a linking exception for openssl ( http://en.wikipedia.org/wiki/OpenSSL#Licensing )
b) add/enable/provide support for another framework like gnutls. 


5. Some BuildRequires you could add: 

checking tre/regex.h usability... no
checking tre/regex.h presence... no
checking for tre/regex.h... no

BuildRequires: tre-devel 

checking for ares_init in -lcares... no
checking for ares_init in -lares... no

BuildRequires: c-ares-devel

checking for getaddrinfo in -lbind... no
checking for getaddrinfo in -ldns... no

BuildRequires: bind-devel 

checking for EXTRACTOR_plugin_add_defaults in -lextractor... no
checking for EXTRACTOR_loadDefaultLibraries in -lextractor... no

BuildRequires: libextractor-devel

checking for readline support... no

BuildRequires: readline-devel

checking for Apache module support... no

BuildRequires: httpd-devel 

checking for PHP module support... no

BuildRequires: php-devel

checking for Internationalized Domain Names support... no

BuildRequires: libidn-devel

checking for sqlite support... no
checking for sqlite3 support... no

BuildRequires: sqlite-devel 

Its ok to enable the mp3 support here, since it's not encoding/decoding, 
simply parsing tags on mp3 files. ;) 

6. Some cgi's seem duplicated: 

/usr/bin/filler.cgi
/usr/bin/search.cgi
/usr/bin/storedoc.cgi

/var/www/cgi-bin/dpsearch/filler.cgi
/var/www/cgi-bin/dpsearch/search.cgi
/var/www/cgi-bin/dpsearch/storedoc.cgi

7. rpmlint says: 

dpsearch.i686: W: incoherent-version-in-changelog 4.54-1 ['4.54.20120215snap-1.fc18', '4.54.20120215snap-1']

will be fixed by the version change above. 

dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_mkind.h

A -devel subpackge appears to be needed here. 

dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_mkind.h

There's a ton of these. You should just ask upstream to update their info. 

dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_db.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_db.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_db_int.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_db_int.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_ftp.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_ftp.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_word.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_word.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_env.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_env.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_indexertool.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_indexertool.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_efence.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_efence.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_alias.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_alias.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/lib/dpsearch/libdpcharset.a
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_textlist.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_textlist.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_host.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_host.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_services.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_services.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_chinese.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_chinese.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_searchtool.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_searchtool.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sgml.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_sgml.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_http.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_http.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_hash.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_hash.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_server.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_server.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dpsearch.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dpsearch.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_vars.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_vars.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_searchcache.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_searchcache.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_unidata.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_unidata.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_image.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_image.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_match.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_match.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_url.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_url.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_config.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_unicode.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_unicode.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_robots.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_robots.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_cookies.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_cookies.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parsedate.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_parsedate.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sqldbms.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_sqldbms.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_result.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_result.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_conf.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_conf.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_signals.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_signals.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_store.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_store.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/lib/dpsearch/libdp.a
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_acronym.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_acronym.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_doc.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_doc.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_common.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_common.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_socket.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_socket.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/lib/dpsearch/libdpsearch.a
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parsehtml.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_parsehtml.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/bin/dps-config
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_charsetutils.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_charsetutils.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sdp.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_sdp.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_synonym.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_synonym.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_log.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_log.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_uniconv.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_uniconv.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_stopwords.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_stopwords.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_spell.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_spell.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parsexml.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_parsexml.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_xmalloc.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_xmalloc.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_base.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_base.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_hrefs.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_hrefs.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parser.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_parser.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_filence.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_filence.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_crossword.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_crossword.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_id3.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_id3.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_mutex.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_mutex.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_search_tl.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_utils.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_utils.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_guesser.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_guesser.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_boolean.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_boolean.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_execget.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_execget.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sea.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_sea.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_wild.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_wild.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_cache.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_cache.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_proto.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_proto.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_agent.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_agent.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_carry.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_carry.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_contentencoding.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_contentencoding.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_template.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_template.h
dpsearch.i686: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_indexer.h
dpsearch.i686: E: incorrect-fsf-address /usr/include/dpsearch/dps_indexer.h

These aren't a stopper, but man pages might be nice. 
You might look and see if debian carries some, since they require them. 

dpsearch.i686: W: no-manual-page-for-binary dpconv
dpsearch.i686: W: no-manual-page-for-binary splitter
dpsearch.i686: W: no-manual-page-for-binary dps-config
dpsearch.i686: W: no-manual-page-for-binary run-splitter
dpsearch.i686: W: no-manual-page-for-binary indexer
dpsearch.i686: W: no-manual-page-for-binary searchd
dpsearch.i686: W: no-manual-page-for-binary cached
dpsearch.i686: W: no-manual-page-for-binary stored
dpsearch.i686: W: no-manual-page-for-binary storedoc.cgi
dpsearch.i686: W: no-manual-page-for-binary search.cgi
dpsearch.i686: W: no-manual-page-for-binary filler.cgi
dpsearch.i686: W: no-manual-page-for-binary dpguesser

Would be fixed by the source url change above. 

dpsearch.src: W: invalid-url Source0: dpsearch-4.54-2012-02-15.tar.bz2


dpsearch.x86_64: W: incoherent-version-in-changelog 4.54-1 ['4.54.20120215snap-1.fc18', '4.54.20120215snap-1']
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_mkind.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_mkind.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_db.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_db.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_db_int.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_db_int.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_ftp.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_ftp.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_word.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_word.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_env.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_env.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_indexertool.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_indexertool.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_efence.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_efence.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_alias.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_alias.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_textlist.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_textlist.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_host.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_host.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_services.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_services.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_chinese.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_chinese.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_searchtool.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_searchtool.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sgml.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_sgml.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_http.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_http.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_hash.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_hash.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_server.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_server.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dpsearch.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dpsearch.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_vars.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_vars.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/lib64/dpsearch/libdpcharset.a
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_searchcache.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_searchcache.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_unidata.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_unidata.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_image.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_image.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_match.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_match.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_url.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_url.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_config.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_unicode.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_unicode.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_robots.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_robots.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_cookies.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_cookies.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parsedate.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_parsedate.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/lib64/dpsearch/libdpsearch.a
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sqldbms.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_sqldbms.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_result.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_result.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_conf.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_conf.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_signals.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_signals.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_store.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_store.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_acronym.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_acronym.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_doc.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_doc.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_common.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_common.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_socket.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_socket.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parsehtml.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_parsehtml.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/bin/dps-config
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_charsetutils.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_charsetutils.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sdp.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_sdp.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_synonym.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_synonym.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_log.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_log.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_uniconv.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_uniconv.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_stopwords.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_stopwords.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_spell.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_spell.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parsexml.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_parsexml.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_xmalloc.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_xmalloc.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_base.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_base.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_hrefs.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_hrefs.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_parser.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_parser.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_filence.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_filence.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_crossword.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_crossword.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_id3.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_id3.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_mutex.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_mutex.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_search_tl.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_utils.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_utils.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_guesser.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_guesser.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_boolean.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_boolean.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_execget.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_execget.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_sea.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_sea.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_wild.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_wild.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_cache.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_cache.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_proto.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_proto.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_agent.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_agent.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_carry.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_carry.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_contentencoding.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_contentencoding.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_template.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_template.h
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/lib64/dpsearch/libdp.a
dpsearch.x86_64: W: devel-file-in-non-devel-package /usr/include/dpsearch/dps_indexer.h
dpsearch.x86_64: E: incorrect-fsf-address /usr/include/dpsearch/dps_indexer.h
dpsearch.x86_64: W: no-manual-page-for-binary dpconv
dpsearch.x86_64: W: no-manual-page-for-binary splitter
dpsearch.x86_64: W: no-manual-page-for-binary dps-config
dpsearch.x86_64: W: no-manual-page-for-binary run-splitter
dpsearch.x86_64: W: no-manual-page-for-binary indexer
dpsearch.x86_64: W: no-manual-page-for-binary searchd
dpsearch.x86_64: W: no-manual-page-for-binary cached
dpsearch.x86_64: W: no-manual-page-for-binary stored
dpsearch.x86_64: W: no-manual-page-for-binary storedoc.cgi
dpsearch.x86_64: W: no-manual-page-for-binary search.cgi
dpsearch.x86_64: W: no-manual-page-for-binary filler.cgi
dpsearch.x86_64: W: no-manual-page-for-binary dpguesser
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sea.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/id3.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/mirror.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/result.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parsehtml.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_synonym.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_wild.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_chinese.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/indexer.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_db_int.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_socket.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parser.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_charsetutils.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_boolean.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_server.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/dps_image.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/template.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/hrefs.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_hash.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_doc.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_cache.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-alias.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/wild.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_image.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/indexertool.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_signals.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/stored.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/log.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_mutex.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_execget.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/contentencoding.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/http.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/word.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_stopwords.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sqldbms.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_guesser.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/carry.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/socket.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sgml.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_contentencoding.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/signals.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/filler.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_textlist.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/execget.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_host.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/search.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_unicode.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parsexml.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/stopwords.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-utf8.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/match.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sqldbms.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/spell.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/main.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/storedoc.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/robots.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/xmalloc.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/searchcache.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_ftp.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/textlist.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/server.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_utils.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_hrefs.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sdp.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_proto.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/crossword.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/store.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_vars.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_spell.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/acronym.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_cookies.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/url.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_agent.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/utils.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/searchtool.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/env.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_match.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/mkind.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/ftp.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_id3.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/unicode.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_parsexml.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sdp.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/splitter.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_log.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_db.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parsedate.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_uniconv.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_http.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sql.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_base.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/agent.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/cached.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/chinese.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/cookies.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/proto.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_parsehtml.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_alias.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/boolean.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sgml.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_url.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/doc.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/db.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_searchtool.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/cache.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_xmalloc.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_common.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/base.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/unidata.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_conf.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/synonym.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_robots.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/searchd.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-8bit.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_unidata.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/hash.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/mutex.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/guesser.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/alias.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/dpconv.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_word.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_mkind.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_crossword.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/dpguesser.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-sys.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_result.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_store.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/vars.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/conf.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_searchcache.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sea.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_indexertool.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_env.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_acronym.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_template.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_indexer.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_parser.h
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/charset-utils.c
dpsearch-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/host.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/hash.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sea.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/id3.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sgml.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/mirror.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_hash.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/result.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_synonym.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-alias.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_wild.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_chinese.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_cookies.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/indexer.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_db_int.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_socket.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parser.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_charsetutils.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_boolean.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_server.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/searchcache.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/hrefs.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_doc.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/proto.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_cache.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/ftp.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_image.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/indexertool.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_signals.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/stored.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_mutex.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/synonym.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_execget.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/contentencoding.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/mkind.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_parsexml.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/http.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_stopwords.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sqldbms.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sea.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/carry.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/socket.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_contentencoding.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parsehtml.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_word.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/filler.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_textlist.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/execget.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_agent.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_host.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/search.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parsexml.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/stopwords.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-utf8.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/match.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sqldbms.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/signals.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/spell.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/main.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/unicode.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/storedoc.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/robots.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/xmalloc.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/env.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_ftp.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/textlist.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/server.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_template.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_utils.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_hrefs.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_sdp.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_proto.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/crossword.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/store.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_vars.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_spell.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/acronym.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_match.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/utils.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/searchtool.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/dps_image.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_id3.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/log.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sdp.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_db.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_http.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sql.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_base.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/agent.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/cached.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/chinese.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/cookies.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_parsehtml.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_alias.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/template.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/boolean.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/sgml.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_url.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/doc.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/db.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/word.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_searchtool.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/cache.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_xmalloc.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_common.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/base.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/unidata.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_conf.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_robots.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/searchd.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_unidata.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_guesser.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_log.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/mutex.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/guesser.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/alias.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/dpconv.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_mkind.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/url.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_crossword.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-sys.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_result.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_store.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_unicode.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/vars.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_uniconv.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/wild.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/conf.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv-8bit.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_searchcache.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/splitter.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/parsedate.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_indexertool.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_env.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/uconv.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_acronym.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/dpguesser.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_indexer.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/include/dps_parser.h
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/charset-utils.c
dpsearch-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dpsearch-4.54-2012-02-15/src/host.c
5 packages and 0 specfiles checked; 416 errors, 175 warnings.

Comment 6 Rick Elrod 2012-02-18 02:37:18 UTC
Disabled openssl for now, will poke upstream and ask about them making an exception for it.

http://codeblock.fedorapeople.org/dpsearch/dpsearch-4.54-0.1.20120215snap.fc18.src.rpm

and 

http://codeblock.fedorapeople.org/dpsearch/dpsearch.spec


Should be better. Fixed everything except the man pages thing for now, I can take a look at that, but there is a lot of html documentation that gets thrown in %{_defaultdocdir}/%{name}-%{version}.

Comment 7 Kevin Fenzi 2012-02-18 17:42:03 UTC
Minor nit:

The dpsearch.conf apache file will have different paths depending on 32bit or 64bit build. Might make sense to construct this in the spec file at build time? Or comment in it that the path will be one or the other. 

1. You should rm the .la and .a files created. In most cases we don't want to ship static libs or libtool archive files. 

2. The cgi's are now in the devel subpackage. That doesn't seem optimal. Perhaps we should just let them stay in /usr/bin/ ?

3. rpmlint now says (if we filter the fsf-address thing): 

Man pages aren't required, so we can ignore this: 

dpsearch.i686: W: no-manual-page-for-binary dpconv
dpsearch.i686: W: no-manual-page-for-binary splitter
dpsearch.i686: W: no-manual-page-for-binary cached
dpsearch.i686: W: no-manual-page-for-binary run-splitter
dpsearch.i686: W: no-manual-page-for-binary indexer
dpsearch.i686: W: no-manual-page-for-binary searchd
dpsearch.i686: W: no-manual-page-for-binary stored
dpsearch.i686: W: no-manual-page-for-binary dpguesser

You can fix this by using %% 

dpsearch.src:53: W: macro-in-comment %{_prefix}

This is just due to googlecode being stupid. 

dpsearch.src: W: invalid-url Source0: http://dataparksearch.googlecode.com/files/dpsearch-4.54-2012-02-15.tar.bz2 HTTP Error 404: Not Found
dpsearch.x86_64: W: no-manual-page-for-binary dpconv
dpsearch.x86_64: W: no-manual-page-for-binary splitter
dpsearch.x86_64: W: no-manual-page-for-binary cached
dpsearch.x86_64: W: no-manual-page-for-binary run-splitter
dpsearch.x86_64: W: no-manual-page-for-binary indexer
dpsearch.x86_64: W: no-manual-page-for-binary searchd
dpsearch.x86_64: W: no-manual-page-for-binary stored
dpsearch.x86_64: W: no-manual-page-for-binary dpguesser

You should make the devel subpackage require the base package by version-release: 

dpsearch-devel.i686: W: no-dependency-on dpsearch/dpsearch-libs/libdpsearch

Nuke the . :) 

dpsearch-devel.i686: W: summary-ended-with-dot C Development files for the DataparkSearch Engine.
dpsearch-devel.i686: W: no-documentation
dpsearch-devel.x86_64: W: no-dependency-on dpsearch/dpsearch-libs/libdpsearch
dpsearch-devel.x86_64: W: summary-ended-with-dot C Development files for the DataparkSearch Engine.
dpsearch-devel.x86_64: W: no-documentation

All other issues look good. ;)

Comment 8 Rick Elrod 2012-02-18 19:23:47 UTC
Moved the CGI's to /usr/bin and updated dpsearch.conf accordingly so we don't have to generate it on build.

http://codeblock.fedorapeople.org/dpsearch-4.54-0.1.20120215snap.fc18.src.rpm
http://codeblock.fedorapeople.org/dpsearch.spec

1. fixed.
2. fixed.
3. using %% now, "." nuked, -devel requires non-devel now.

Comment 9 Kevin Fenzi 2012-02-19 17:09:37 UTC
You might use 'rm -f' on the la/a files in case they are permissions that wouldn't let them be removed normally, otherwise, I see no other blockers here, so this package is APPROVED. 

I'll sponsor you. If you have any questions, let me know. ;)

Comment 10 Rick Elrod 2012-02-19 18:37:42 UTC
New Package SCM Request
=======================
Package Name: dpsearch
Short Description: DataparkSearch Engine
Owners: codeblock
Branches: el6
InitialCC:

Comment 11 Gwyn Ciesla 2012-02-19 20:47:42 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2012-02-19 22:22:17 UTC
dpsearch-4.54-0.1.20120215snap.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dpsearch-4.54-0.1.20120215snap.el6

Comment 13 Fedora Update System 2012-02-20 19:01:29 UTC
dpsearch-4.54-0.1.20120215snap.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2012-02-23 02:01:06 UTC
dpsearch-4.54-0.2.20120221snap.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dpsearch-4.54-0.2.20120221snap.el6

Comment 15 Fedora Update System 2012-03-10 17:32:14 UTC
dpsearch-4.54-0.2.20120221snap.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.